%define pkg_name        Syntax-Highlight-HTML
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 2.n0i.2

Summary:       Highlight HTML syntax in HTML
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SAPER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(HTML::Parser) >= 3.00}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
This module is designed to take raw HTML input and highlight it (using a
CSS stylesheet, see "Notes" for the classes). The returned HTML code is
ready for inclusion in a web page. It is intented to be used as an
highlighting filter, and as such does not reformat or reindent the original
HTML code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ LICENSE* README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- rebuild

* Sat Feb 11 2006 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.8
